#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform vec3 addColor;

void main()
{
	vec4 color = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);
    color = vec4(color.rgb+ addColor*color.a,color.a);
    color.r = min(color.r,color.a);
	color.g = min(color.g,color.a);
	color.b = min(color.b,color.a);
	gl_FragColor = color;	
}